<div class="card" *ngIf="rolEstudiante">
    <div class="grid p-fluid">
        <form id="editFormEstudiante" autocomplete="off" [formGroup]="editFormEstudiante" (ngSubmit)="EditEstudiante()">
            <div class="encabezado">
                <p-avatar image="https://learnenglish.britishcouncil.org/sites/podcasts/files/2021-10/RS6715_492969113-hig.jpg" styleClass="mr-2" size="xlarge" shape="circle"></p-avatar>
                <p>{{userConnectEstudiante.nombre}} {{userConnectEstudiante.apellido}}<p-rating [readonly]="true" [stars]="5" [cancel]="false" formControlName="calificacion" [(ngModel)]="userConnectEstudiante.calificacion"></p-rating></p>
            </div>
            <br>
            <hr>
            <p>Tu Información personal</p>
            <hr>
            <br>
            <div class="group">
                <div class="field">
                    <span class="p-float-label">
                        <input type="text" id="inputtext" pInputText formControlName="nombre" [(ngModel)]="userConnectEstudiante.nombre"> 
                        <label for="inputtext">Nombre <span>*</span></label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <input type="text" id="inputtext" pInputText formControlName="apellido" [(ngModel)]="userConnectEstudiante.apellido"> 
                        <label for="inputtext">Apellido</label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <input type="text" id="inputtext" pInputText formControlName="email" [(ngModel)]="userConnectEstudiante.email"> 
                        <label for="inputtext">Email <span>*</span></label>
                    </span>
                </div>
            </div>
            <br>
            <div class="group">
                <div class="field">
                    <span class="p-float-label">
                        <p-inputMask mask="(999) 999-9999" class="mascara" formControlName="telefono" [(ngModel)]="userConnectEstudiante.telefono"></p-inputMask>
                        <label for="inputtext">Teléfono</label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <input type="text" id="inputtext" pInputText formControlName="perfil_linkedlin" [(ngModel)]="userConnectEstudiante.perfil_linkedlin"> 
                        <label for="inputtext">Perfil de linkedlin</label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <textarea id="float-input" rows="5" cols="30" pInputTextarea formControlName="resena" [(ngModel)]="userConnectEstudiante.resena"></textarea>
                        <label for="float-input">Cuéntale a tus seguidores sobre ti</label>
                    </span>
                </div>
            </div>
            <button pButton pRipple type="submit" label="Guardar" class="p-button-rounded"></button>
        </form>
    </div>    
</div>

<div class="card" *ngIf="rolProfesor">
    <div class="grid p-fluid">
        <form id="editFormProfesor" autocomplete="off" [formGroup]="editFormProfesor" (ngSubmit)="EditProfesor()">
            <div class="encabezado">
                <p-avatar image="https://learnenglish.britishcouncil.org/sites/podcasts/files/2021-10/RS6715_492969113-hig.jpg" styleClass="mr-2" size="xlarge" shape="circle"></p-avatar>
                <p>{{userConnectProfesor.nombre}} {{userConnectProfesor.apellido}}<p-rating [readonly]="true" [stars]="5" [cancel]="false" formControlName="calificacion" [(ngModel)]="userConnectProfesor.calificacion"></p-rating></p>
            </div>
            <br>
            <hr>
            <p>Tu Información personal</p>
            <hr>
            <br>
            <div class="group">
                <div class="field">
                    <span class="p-float-label">
                        <input type="text" id="inputtext" pInputText formControlName="nombre" [(ngModel)]="userConnectProfesor.nombre"> 
                        <label for="inputtext">Nombre <span>*</span></label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <input type="text" id="inputtext" pInputText formControlName="apellido" [(ngModel)]="userConnectProfesor.apellido"> 
                        <label for="inputtext">Apellido</label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <span class="p-float-label">
                            <p-dropdown [options]="tipo_identificacion" dataKey="userConnectProfesor.tipo_identificacion" placeholder="Tipo de Identificacion *" optionLabel="name" [showClear]="true" formControlName="tipo_identificacion" [(ngModel)]="userConnectProfesor.tipo_identificacion"></p-dropdown>
                        </span>
                    </span>
                </div>
            </div>
            <br>
            <div class="group">
                <div class="field">
                    <span class="p-float-label">
                        <input type="text" id="inputtext" pInputText formControlName="documento_identidad" [(ngModel)]="userConnectProfesor.documento_identidad"> 
                        <label for="inputtext">Numero Identificacion <span>*</span></label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <input type="text" id="inputtext" pInputText formControlName="email" [(ngModel)]="userConnectProfesor.email"> 
                        <label for="inputtext">Email <span>*</span></label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <p-inputMask mask="(999) 999-9999" class="mascara" formControlName="telefono" [(ngModel)]="userConnectProfesor.telefono"></p-inputMask>
                        <label for="inputtext">Teléfono</label>
                    </span>
                </div>
            </div>
            <br>
            <div class="group">
                <div class="field">
                    <span class="p-float-label">
                        <input type="number" id="inputtext" pInputText formControlName="precio_hora" [(ngModel)]="userConnectProfesor.precio_hora"> 
                        <label for="inputtext">Precio x Hora</label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <input type="text" id="inputtext" pInputText formControlName="titulo_prof" [(ngModel)]="userConnectProfesor.titulo_prof"> 
                        <label for="inputtext">Título Profesional <span>*</span></label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <p-dropdown [options]="categoriaEn" dataKey="userConnectProfesor.categoria" placeholder="Categoría de enseñanza *" optionLabel="name" [showClear]="true" formControlName="categoria" [(ngModel)]="userConnectProfesor.categoria"></p-dropdown>
                    </span>
                </div>
            </div>
            <br>
            <div class="group">
                <div class="field">
                    <span class="p-float-label">
                        <input type="text" id="inputtext" pInputText formControlName="materia" [(ngModel)]="userConnectProfesor.materia"> 
                        <label for="inputtext">Materia <span>*</span></label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <input type="text" id="inputtext" pInputText formControlName="perfil_linkedlin" [(ngModel)]="userConnectProfesor.perfil_linkedlin"> 
                        <label for="inputtext">Perfil de linkedlin <span>*</span></label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <textarea id="float-input" rows="5" cols="30" pInputTextarea formControlName="resena" [(ngModel)]="userConnectProfesor.resena"></textarea>
                        <label for="float-input">Reseña de tu perfil <span>*</span></label>
                    </span>
                </div>
            </div>
            <hr>
            <p>Tu Información financiera</p>
            <hr>
            <br>
            <div class="group">
                <div class="field">
                    <span class="p-float-label">
                        <p-dropdown [options]="bancos" dataKey="userConnectProfesor.banco" placeholder="Elige tu banco *" optionLabel="name" [showClear]="true" formControlName="banco" [(ngModel)]="userConnectProfesor.banco"></p-dropdown>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <p-dropdown [options]="tipoCuenta" dataKey="userConnectProfesor.tipo_cuenta" placeholder="Tipo de cuenta *" optionLabel="name" [showClear]="true" formControlName="tipo_cuenta" [(ngModel)]="userConnectProfesor.tipo_cuenta"></p-dropdown>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <input type="text" id="inputtext" pInputText formControlName="numero_cuenta" [(ngModel)]="userConnectProfesor.numero_cuenta">
                        <label for="inputtext">N de cuenta<span>*</span></label>
                    </span>
                </div>
            </div>
            <br>
            <div class="group">
                <div class="field">
                    <span class="p-float-label">
                        <p-inputMask mask="(999) 999-9999" class="mascara" formControlName="numero_nequi" [(ngModel)]="userConnectProfesor.numero_nequi"></p-inputMask>
                        <label for="inputtext">Nequi</label>
                    </span>
                </div>
                <div class="field">
                    <span class="p-float-label">
                        <p-inputMask mask="(999) 999-9999" class="mascara" formControlName="numero_daviplata" [(ngModel)]="userConnectProfesor.numero_daviplata"></p-inputMask>
                        <label for="inputtext">Daviplata</label>
                    </span>
                </div>
            </div>
            <hr>
            <p>Soporte de documentos</p>
            <small>Carga los documentos de soporte para comprobar tu perfil</small><br>
            <small> (Diplomas, Certificados, Membresías, etc)</small><br>
            <small> *El documento puede ser imagenes o archivos PDF*</small><br>
            <small>Antes de guardar la información, selecciona UPLOAD para cargar los archivos</small>
            <hr>
            <p-fileUpload name="documentosProfesor[]" 
                [customUpload]="customUpload" 
                (uploadHandler)="onUpload($event)"
                [multiple]="multiple" 
                [maxFileSize]="1000000"
                >
                <ng-template pTemplate="content">
                    <ul *ngIf="uploadedFiles.length">
                        <p>Estos son los documentos que acabas de cargar</p>
                        <li *ngFor="let file of uploadedFiles">{{file.name}} - {{file.size}} bytes</li>
                    </ul>
                </ng-template>
            </p-fileUpload>
            <button pButton pRipple type="submit" label="Guardar" class="p-button-rounded" [disabled]="!avnButton"></button>
        </form>
    </div>    
</div>